Bug 12272 - messaging subsystem crash - poll_funcs_tevent can select the wrong slot to replace when adding a new context.
messaging subsystem crash - poll_funcs_tevent can select the wrong slot to re...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-17 17:16 UTC by Jeremy Allison
Modified: 2016-09-22 08:22 UTC (History)
1 user (show)

See Also:


Attachments
Proposed patch for master (4.77 KB, patch)
2016-09-17 17:19 UTC, Jeremy Allison
slow: review+
Details
git-am for 4.5.next (2.59 KB, patch)
2016-09-19 19:14 UTC, Jeremy Allison
slow: review+
Details
git-am fix for 4.4.next (2.67 KB, patch)
2016-09-19 19:15 UTC, Jeremy Allison
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2016-09-17 17:16:59 UTC
Along with ordering dependencies in the destructor for struct poll_funcs_state this can cause crashes in the messaging subsystem.
Comment 1 Jeremy Allison 2016-09-17 17:19:13 UTC
Created attachment 12477 [details]
Proposed patch for master
Comment 2 Jeremy Allison 2016-09-17 21:43:06 UTC
Comment on attachment 12477 [details]
Proposed patch for master

FYI, I'm not getting any more flakey autobuilds with this patchset.
Comment 3 Jeremy Allison 2016-09-19 19:14:38 UTC
Created attachment 12492 [details]
git-am for 4.5.next

Back-port from master
Comment 4 Jeremy Allison 2016-09-19 19:15:05 UTC
Created attachment 12493 [details]
git-am fix for 4.4.next

Backport from master.
Comment 5 Ralph Böhme 2016-09-19 19:42:10 UTC
Comment on attachment 12493 [details]
git-am fix for 4.4.next

I think we need this in 4.3 too. Patch for 4.4 applies to 4.3 as well, Jeremy, what do you think?
Comment 6 Jeremy Allison 2016-09-19 20:40:59 UTC
LGTM. Reassigning to Karolin for inclusion in 4.5.next, 4.4.next, 4.3.next
Comment 7 Karolin Seeger 2016-09-20 08:04:47 UTC
(In reply to Jeremy Allison from comment #6)
Pushed to autobuild-v4-{4,5}-test.
Comment 8 Karolin Seeger 2016-09-20 08:09:43 UTC
(In reply to Karolin Seeger from comment #7)
Pushed to autobuild-v4-3-test.
Comment 9 Karolin Seeger 2016-09-22 08:22:14 UTC
Pushed to all branches.
Closing out bug report.

Thanks!